<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <OutputType>Exe</OutputType>
        <TargetFramework>net8.0-windows</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <Company>RandomServer</Company>
        <ApplicationIcon>Resources\icon.ico</ApplicationIcon>
    </PropertyGroup>

    <PropertyGroup>
        <DebugType>embedded</DebugType>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="6.0.0" />
      <PackageReference Include="SharpZipLib" Version="1.4.2" />
    </ItemGroup>

    <ItemGroup>
      <EmbeddedResource Include="..\RobloxWrapper\build\lptch.dll">
        <Link>Resources\lptch.dll</Link>
      </EmbeddedResource>
      <None Remove="Resources\AppSettings.xml" />
      <EmbeddedResource Include="Resources\AppSettings.xml" />
    </ItemGroup>

</Project>
